import { useContext as t } from "react";
import { useStore as s } from "zustand";
import { DynamicMFParmsContext as o } from "../../contexts/DynamicMFParmsContext/DynamicMFParmsContext.js";
const c = () => {
  const e = t(o);
  if (!e)
    throw new Error("useDynamicMFParameters context must be use inside DynamicMFParmsContext");
  return e;
};
function u(e, n) {
  const r = t(o);
  if (!r)
    throw new Error("useDynamicMFParametersStore context must be use inside DynamicMFParmsContext");
  return s(r, e, n);
}
export {
  c as useDynamicMFParameters,
  u as useDynamicMFParametersStore
};
